<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="a6620a85-ad79-4f90-9e71-2327faf75048" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/Assets/EnemyStats.cs" beforeDir="false" afterPath="$PROJECT_DIR$/Assets/EnemyStats.cs" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Assets/Scenes/MainScene.unity" beforeDir="false" afterPath="$PROJECT_DIR$/Assets/Scenes/MainScene.unity" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Assets/shooting.cs" beforeDir="false" afterPath="$PROJECT_DIR$/Assets/shooting.cs" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Assets/EnemyMovement.cs">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="285">
              <caret line="21" column="51" selection-start-line="21" selection-start-column="51" selection-end-line="21" selection-end-column="51" />
              <folding>
                <marker date="1553427353456" expanded="false" signature="6:78" ph="..." />
                <marker date="1553427353456" expanded="true" signature="144:499" ph="{...}" />
                <marker date="1553427353456" expanded="true" signature="276:297" ph="{...}" />
                <marker date="1553427353456" expanded="true" signature="355:497" ph="{...}" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Assets/shooting.cs">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="243">
              <caret line="21" column="40" selection-start-line="21" selection-start-column="40" selection-end-line="21" selection-end-column="40" />
              <folding>
                <marker date="1553436308147" expanded="false" signature="6:78" ph="..." />
                <marker date="1553436308147" expanded="true" signature="152:933" ph="{...}" />
                <marker date="1553436308147" expanded="true" signature="370:391" ph="{...}" />
                <marker date="1553436308147" expanded="true" signature="451:541" ph="{...}" />
                <marker date="1553436308147" expanded="true" signature="494:535" ph="{...}" />
                <marker date="1553436308147" expanded="true" signature="567:931" ph="{...}" />
                <marker date="1553436308147" expanded="true" signature="695:925" ph="{...}" />
                <marker date="1553436308147" expanded="true" signature="851:915" ph="{...}" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Assets/playerStats.cs">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="180">
              <caret line="14" column="17" selection-start-line="14" selection-start-column="17" selection-end-line="14" selection-end-column="17" />
              <folding>
                <marker date="1553433801977" expanded="false" signature="6:78" ph="..." />
                <marker date="1553433801977" expanded="true" signature="120:383" ph="{...}" />
                <marker date="1553433801977" expanded="true" signature="230:274" ph="{...}" />
                <marker date="1553433801977" expanded="true" signature="293:381" ph="{...}" />
                <marker date="1553433801977" expanded="true" signature="324:375" ph="{...}" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/Assets/EnemyStats.cs">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="240">
              <caret line="16" column="35" lean-forward="true" selection-start-line="16" selection-start-column="35" selection-end-line="16" selection-end-column="35" />
              <folding>
                <marker date="1553436874578" expanded="true" signature="6:92" ph="..." />
                <marker date="1553436874578" expanded="true" signature="133:425" ph="{...}" />
                <marker date="1553436874578" expanded="true" signature="255:418" ph="{...}" />
                <marker date="1553436874578" expanded="true" signature="286:412" ph="{...}" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Assets/enemyAttack.cs">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="75">
              <caret line="7" selection-start-line="7" selection-end-line="7" />
              <folding>
                <marker date="1553431360756" expanded="false" signature="6:78" ph="..." />
                <marker date="1553431360756" expanded="true" signature="120:317" ph="{...}" />
                <marker date="1553431360756" expanded="true" signature="184:315" ph="{...}" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$PROJECT_DIR$/Assets/playerStats.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/enemyAttack.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/EnemyMovement.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/shooting.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/EnemyStats.cs" root0="FORCE_HIGHLIGHTING" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/Assets/EnemyMovement.cs" />
        <option value="$PROJECT_DIR$/Assets/enemyAttack.cs" />
        <option value="$PROJECT_DIR$/Assets/playerStats.cs" />
        <option value="$PROJECT_DIR$/Assets/shooting.cs" />
        <option value="$PROJECT_DIR$/Assets/EnemyStats.cs" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="y" value="23" />
    <option name="width" value="1440" />
    <option name="height" value="800" />
  </component>
  <component name="ProjectView">
    <navigator currentView="UnityExplorer" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="AssemblyExplorer" />
      <pane id="FileSystemExplorer" />
      <pane id="UnityExplorer">
        <option name="show-hidden-items" value="false" />
        <option name="show-project-names" value="true" />
      </pane>
      <pane id="SolutionExplorer">
        <option name="show-all-files" value="false" />
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="Rider.DefaultBreakpoints.AreToggled" value="true" />
    <property name="Rider.ProjectViewActivator.IsNotFirstRun" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Attach to Unity Editor.Attach to Unity Editor">
    <configuration name="Attach to Unity Editor &amp; Play" type="UNITY_DEBUG_RUN_CONFIGURATION" factoryName="UNITY_ATTACH_AND_PLAY" show_console_on_std_err="false" show_console_on_std_out="false" port="50000" address="localhost">
      <option name="allowRunningInParallel" value="false" />
      <option name="listenPortForConnections" value="false" />
      <option name="pid" />
      <method v="2" />
    </configuration>
    <configuration name="Attach to Unity Editor" type="UNITY_DEBUG_RUN_CONFIGURATION" factoryName="Unity Debug" show_console_on_std_err="false" show_console_on_std_out="false" port="50000" address="localhost">
      <option name="allowRunningInParallel" value="false" />
      <option name="listenPortForConnections" value="false" />
      <option name="pid" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a6620a85-ad79-4f90-9e71-2327faf75048" name="Default Changelist" comment="" />
      <created>1553426354484</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1553426354484</updated>
      <workItem from="1553426358045" duration="5967000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="5967000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="23" width="1440" height="800" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Favorites" side_tool="true" />
      <window_info id="Image Layers" />
      <window_info id="Capture Tool" />
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.24964234" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="NuGet" />
      <window_info anchor="bottom" id="Docker" show_stripe_button="false" />
      <window_info anchor="bottom" id="Unity" />
      <window_info anchor="bottom" id="Version Control" />
      <window_info anchor="bottom" id="Unit Tests" />
      <window_info anchor="bottom" id="Terminal" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Database Changes" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="right" id="Errors In Solution" />
      <window_info anchor="right" id="Database" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="UnityProjectConfiguration" hasMinimizedUI="true" />
  <component name="UnityUnitTestConfiguration" currentTestLauncher="NUnit" />
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <breakpoint enabled="true" suspend="NONE" type="DotNet Exception Breakpoints">
          <properties exception="System.Threading.ThreadAbortException" displayValue="System.Threading.ThreadAbortException" />
          <option name="timeStamp" value="1" />
        </breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/Assets/RobotNN.cs">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="19" selection-start-line="19" selection-end-line="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Assets/playerStats.cs">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="14" column="17" selection-start-line="14" selection-start-column="17" selection-end-line="14" selection-end-column="17" />
          <folding>
            <marker date="1553433801977" expanded="false" signature="6:78" ph="..." />
            <marker date="1553433801977" expanded="true" signature="120:383" ph="{...}" />
            <marker date="1553433801977" expanded="true" signature="230:274" ph="{...}" />
            <marker date="1553433801977" expanded="true" signature="293:381" ph="{...}" />
            <marker date="1553433801977" expanded="true" signature="324:375" ph="{...}" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Assets/enemyAttack.cs">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="7" selection-start-line="7" selection-end-line="7" />
          <folding>
            <marker date="1553431360756" expanded="false" signature="6:78" ph="..." />
            <marker date="1553431360756" expanded="true" signature="120:317" ph="{...}" />
            <marker date="1553431360756" expanded="true" signature="184:315" ph="{...}" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Assets/EnemyMovement.cs">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="285">
          <caret line="21" column="51" selection-start-line="21" selection-start-column="51" selection-end-line="21" selection-end-column="51" />
          <folding>
            <marker date="1553427353456" expanded="false" signature="6:78" ph="..." />
            <marker date="1553427353456" expanded="true" signature="144:499" ph="{...}" />
            <marker date="1553427353456" expanded="true" signature="276:297" ph="{...}" />
            <marker date="1553427353456" expanded="true" signature="355:497" ph="{...}" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Assets/shooting.cs">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="243">
          <caret line="21" column="40" selection-start-line="21" selection-start-column="40" selection-end-line="21" selection-end-column="40" />
          <folding>
            <marker date="1553436308147" expanded="false" signature="6:78" ph="..." />
            <marker date="1553436308147" expanded="true" signature="152:933" ph="{...}" />
            <marker date="1553436308147" expanded="true" signature="370:391" ph="{...}" />
            <marker date="1553436308147" expanded="true" signature="451:541" ph="{...}" />
            <marker date="1553436308147" expanded="true" signature="494:535" ph="{...}" />
            <marker date="1553436308147" expanded="true" signature="567:931" ph="{...}" />
            <marker date="1553436308147" expanded="true" signature="695:925" ph="{...}" />
            <marker date="1553436308147" expanded="true" signature="851:915" ph="{...}" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Assets/EnemyStats.cs">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="16" column="35" lean-forward="true" selection-start-line="16" selection-start-column="35" selection-end-line="16" selection-end-column="35" />
          <folding>
            <marker date="1553436874578" expanded="true" signature="6:92" ph="..." />
            <marker date="1553436874578" expanded="true" signature="133:425" ph="{...}" />
            <marker date="1553436874578" expanded="true" signature="255:418" ph="{...}" />
            <marker date="1553436874578" expanded="true" signature="286:412" ph="{...}" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>